Bug 506537 - KDE apps trigger focus stealing prevention in metacity on workspace change
KDE apps trigger focus stealing prevention in metacity on workspace change
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: metacity (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Owen Taylor
desktop-bugs@redhat.com
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 12:59 EDT by Olivier Fourdan
Modified: 2013-03-03 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (5.64 KB, patch)
2009-06-17 12:59 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 400167 None None None Never

  None (edit)
Description Olivier Fourdan 2009-06-17 12:59:40 EDT
Created attachment 348297 [details]
Proposed patch

Description of problem:

KDE apps blink in gnome taskbar when changing workspaces in metacity.

Version-Release number of selected component (if applicable):

metacity-2.16.0-12

How reproducible:

100% reproducible

Steps to Reproduce:
1. Open "gnome terminal" and "konsole" in one workspace
2. Focus "gnome terminal"
3. Switch to another workspace
4. Switch back to the original workspace
  
Actual results:

Either konsole is raised and focused or its entry is blinking in the taskbar.

Expected results:

konsole remain unfocused and does not blink in the taskbar

Additional info:

This is bug #400167 upstream - Patch from upstream attached.
Comment 1 Owen Taylor 2009-11-11 15:56:15 EST
built in dist-5E-qu-candidate as metacity-2.16.0-15.el5
Comment 5 errata-xmlrpc 2010-03-30 04:25:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0245.html

Note You need to log in before you can comment on or make changes to this bug.